/*
 * this file is part of superlib, which is an ai library for openttd
 * copyright (c) 2010-2011  leif linse
 *
 * superlib is free software; you can redistribute it and/or modify it 
 * under the terms of the gnu general public license as published by
 * the free software foundation; version 2 of the license
 *
 * superlib is distributed in the hope that it will be useful,
 * but without any warranty; without even the implied warranty of
 * merchantability or fitness for a particular purpose.  see the
 * gnu general public license for more details.
 *
 * you should have received a copy of the gnu general public license
 * along with superlib; if not, see <http://www.gnu.org/licenses/> or
 * write to the free software foundation, inc., 51 franklin street, 
 * fifth floor, boston, ma 02110-1301 usa.
 *
 */

class _SuperLib_Result {

	static SUCCESS = 0;
	static FAIL = 1;
	static NOT_ENOUGH_MONEY = 2;
	static TIME_OUT = 3;

	static function IsSuccess(return_val);
	static function IsFail(return_val);
}

/*static*/ function _SuperLib_Result::IsSuccess(return_val)
{
	return return_val == _SuperLib_Result.SUCCESS;
}

/*static*/ function _SuperLib_Result::IsFail(return_val)
{
	return return_val != _SuperLib_Result.SUCCESS;
}

